org.apache.ignite.ml.preprocessing

## Interface Preprocessor<K,V>

- Type Parameters:
    `K` -
    `V` -
  All Superinterfaces:
    BiFunction<K,V,LabeledVector>, IgniteBiFunction<K,V,LabeledVector>, Serializable
  All Known Subinterfaces:
    FeatureLabelExtractor<K,V,L>
  All Known Implementing Classes:
    BinarizationPreprocessor, BinaryObjectVectorizer, DoubleArrayVectorizer, DummyVectorizer, EncoderPreprocessor, ExtractionUtils.ArrayLikeObjectLabelVectorizer, ExtractionUtils.ArrayLikeVectorizer, ExtractionUtils.DefaultLabelVectorizer, ExtractionUtils.IntCoordObjectLabelVectorizer, ExtractionUtils.IntCoordVectorizer, ExtractionUtils.ObjectLabelVectorizer, ExtractionUtils.StringCoordVectorizer, FrequencyEncoderPreprocessor, ImputerPreprocessor, LabeledDummyVectorizer, LabelEncoderPreprocessor, MappedPreprocessor, MaxAbsScalerPreprocessor, MinMaxScalerPreprocessor, NormalizationPreprocessor, ObjectArrayVectorizer, OneHotEncoderPreprocessor, PatchedPreprocessor, StandardScalerPreprocessor, StringEncoderPreprocessor, TargetEncoderPreprocessor, VectorFinalizationPreprocessor, Vectorizer, Vectorizer.VectorizerAdapter

      public interface Preprocessor<K,V>
      extends IgniteBiFunction<K,V,LabeledVector>

  Basic interface in Preprocessor Hierarchy.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <L1,L2> Preprocessor<K,V>` | `map(IgniteFunction<LabeledVector<L1>,LabeledVector<L2>> func)` Map vectorizer answer.

    - ### Methods inherited from interface org.apache.ignite.ml.math.functions.IgniteBiFunction

      `andThen`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen, apply`

- - ### Method Detail

    - #### map

          default <L1,L2> Preprocessor<K,V> map(IgniteFunction<LabeledVector<L1>,LabeledVector<L2>> func)

      Map vectorizer answer. This method should be called after creating basic vectorizer. NOTE: function "func" should be on ignite servers.
      Type Parameters:
        `L1` - Type of new label.
      Parameters:
        `func` - mapper.
      Returns:
        mapped vectorizer.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022